<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5BDB34B4-4387-4AF7-B388-37D4907DDE39}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CD67.FicheCollege.Entity</RootNamespace>
    <AssemblyName>CD67.FicheCollege.Entity</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework6.Npgsql, Version=3.1.1.0, Culture=neutral, PublicKeyToken=5d8b90d52f46fda7, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework6.Npgsql.3.1.1\lib\net45\EntityFramework6.Npgsql.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Npgsql, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5d8b90d52f46fda7, processorArchitecture=MSIL">
      <HintPath>..\packages\Npgsql.4.0.0\lib\net451\Npgsql.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="SolrTools, Version=1.6.14.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\Freyd.SolrTools.1.6.14\lib\net40\SolrTools.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Linq.Dynamic, Version=1.0.6132.35681, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Linq.Dynamic.1.0.7\lib\net40\System.Linq.Dynamic.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=4.0.4.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Runtime.CompilerServices.Unsafe.4.5.0\lib\netstandard1.0\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Threading.Tasks.Extensions.4.5.0\lib\portable-net45+win8+wp8+wpa81\System.Threading.Tasks.Extensions.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.ValueTuple.4.5.0\lib\net461\System.ValueTuple.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ActionEdu.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduActeur.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduActeurRole.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduAxe.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduCollege.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduMission.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduStatut.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="ActionEduThematique.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Annee.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="College.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="commune.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Constants.cs" />
    <Compile Include="EducfModel.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EducfModel.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="EducfModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="EducfModel.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EducfModel.edmx</DependentUpon>
    </Compile>
    <Compile Include="eleveannee.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="EntityModel.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EntityModel.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="EntityModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="EntityModel.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>EntityModel.edmx</DependentUpon>
    </Compile>
    <Compile Include="etabeffectifannee.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="etablissement.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="etablissementannee.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="etaboptionsannee.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Extend\Groupe.cs" />
    <Compile Include="Extend\Utilisateur.cs" />
    <Compile Include="Extend\ActionEduCollege.cs" />
    <Compile Include="Extend\Annee.cs" />
    <Compile Include="Extend\College.cs" />
    <Compile Include="Extend\ActionEduStatut.cs" />
    <Compile Include="Extend\RestaurationFormulaire.cs" />
    <Compile Include="Extend\RestaurationFormulairesRepa.cs" />
    <Compile Include="Extend\RestaurationParametre.cs" />
    <Compile Include="Extend\RestaurationTypesRepa.cs" />
    <Compile Include="Extend\Territoire.cs" />
    <Compile Include="Extend\ActionEduAxe.cs" />
    <Compile Include="Extend\ActionEduThematique.cs" />
    <Compile Include="Extend\ActionEdu.cs" />
    <Compile Include="Extend\ActionEduActeur.cs" />
    <Compile Include="Extend\RestaurationType.cs" />
    <Compile Include="Extend\TypeCollege.cs" />
    <Compile Include="filiere.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Groupe.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Internal\Entities.cs" />
    <Compile Include="Internal\FormattedDbEntityValidationException.cs" />
    <Compile Include="matiereoption.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="mef.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="niveau.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="RestaurationFormulaire.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="RestaurationFormulairesRepa.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="RestaurationParametre.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="RestaurationType.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="RestaurationTypesRepa.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="rue.cs">
      <DependentUpon>EducfModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Territoire.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="TypeCollege.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Utilisateur.cs">
      <DependentUpon>EntityModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Web References\WsAgents\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.map</DependentUpon>
    </Compile>
    <Compile Include="Web References\WsExternes\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.map</DependentUpon>
    </Compile>
    <Compile Include="Web References\WsTiers\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.map</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
    <EntityDeploy Include="EntityModel.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>EntityModel.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <EntityDeploy Include="EducfModel.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>EducfModel.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="EducfModel.edmx.diagram">
      <DependentUpon>EducfModel.edmx</DependentUpon>
    </None>
    <None Include="EntityModel.edmx.diagram">
      <DependentUpon>EntityModel.edmx</DependentUpon>
    </None>
    <None Include="packages.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <None Include="Web References\WsAgents\Agent.datasource">
      <DependentUpon>Reference.map</DependentUpon>
    </None>
    <None Include="Web References\WsAgents\Reference.map">
      <Generator>MSDiscoCodeGenerator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
    <None Include="Web References\WsAgents\WsAgents.wsdl" />
    <None Include="Web References\WsExternes\Agent.datasource">
      <DependentUpon>Reference.map</DependentUpon>
    </None>
    <None Include="Web References\WsExternes\Reference.map">
      <Generator>MSDiscoCodeGenerator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
    <None Include="Web References\WsExternes\WsExternes.wsdl" />
    <None Include="Web References\WsTiers\Reference.map">
      <Generator>MSDiscoCodeGenerator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
    <None Include="Web References\WsTiers\Tiers.datasource">
      <DependentUpon>Reference.map</DependentUpon>
    </None>
    <None Include="Web References\WsTiers\WsTiers.wsdl" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="EducfModel.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>EducfModel.edmx</DependentUpon>
      <LastGenOutput>EducfModel.Context.cs</LastGenOutput>
    </Content>
    <Content Include="EducfModel.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>EducfModel.edmx</DependentUpon>
      <LastGenOutput>EducfModel.cs</LastGenOutput>
    </Content>
    <Content Include="EntityModel.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>EntityModel.edmx</DependentUpon>
      <LastGenOutput>EntityModel.Context.cs</LastGenOutput>
    </Content>
    <Content Include="EntityModel.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>EntityModel.edmx</DependentUpon>
      <LastGenOutput>EntityModel.cs</LastGenOutput>
    </Content>
    <None Include="Web References\WsExternes\WsExternes.disco" />
    <None Include="Web References\WsTiers\WsTiers.disco" />
    <None Include="Web References\WsAgents\WsAgents.disco" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <WebReferences Include="Web References\" />
  </ItemGroup>
  <ItemGroup>
    <WebReferenceUrl Include="http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx">
      <UrlBehavior>Dynamic</UrlBehavior>
      <RelPath>Web References\WsAgents\</RelPath>
      <UpdateFromURL>http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx</UpdateFromURL>
      <ServiceLocationURL>
      </ServiceLocationURL>
      <CachedDynamicPropName>
      </CachedDynamicPropName>
      <CachedAppSettingsObjectName>Settings</CachedAppSettingsObjectName>
      <CachedSettingsPropName>CD67_FicheCollege_Entity_WsAgents_WsAgents</CachedSettingsPropName>
    </WebReferenceUrl>
    <WebReferenceUrl Include="http://referentiel.bas-rhin.fr/webservices/WsExternes.asmx">
      <UrlBehavior>Dynamic</UrlBehavior>
      <RelPath>Web References\WsExternes\</RelPath>
      <UpdateFromURL>http://referentiel.bas-rhin.fr/webservices/WsExternes.asmx</UpdateFromURL>
      <ServiceLocationURL>
      </ServiceLocationURL>
      <CachedDynamicPropName>
      </CachedDynamicPropName>
      <CachedAppSettingsObjectName>Settings</CachedAppSettingsObjectName>
      <CachedSettingsPropName>CD67_FicheCollege_Entity_WsExternes_WsExternes</CachedSettingsPropName>
    </WebReferenceUrl>
    <WebReferenceUrl Include="http://referentiel.bas-rhin.fr/webservices/WsTiers.asmx">
      <UrlBehavior>Dynamic</UrlBehavior>
      <RelPath>Web References\WsTiers\</RelPath>
      <UpdateFromURL>http://referentiel.bas-rhin.fr/webservices/WsTiers.asmx</UpdateFromURL>
      <ServiceLocationURL>
      </ServiceLocationURL>
      <CachedDynamicPropName>
      </CachedDynamicPropName>
      <CachedAppSettingsObjectName>Settings</CachedAppSettingsObjectName>
      <CachedSettingsPropName>CD67_FicheCollege_Entity_WsTiers_WsTiers</CachedSettingsPropName>
    </WebReferenceUrl>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>